Bug 848434 - [MLA][User Portal] In UserPortal user can only see his own permissions on the objects.
[MLA][User Portal] In UserPortal user can only see his own permissions on the...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Oved Ourfali
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 11:14 EDT by Leonid Natapov
Modified: 2016-02-10 14:27 EST (History)
8 users (show)

See Also:
Fixed In Version: si15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-08-15 11:14:30 EDT
In UserPortal ,user can only see his own permissions on the objects.
User has to be able to see all permissions associated with the object.

For example:

user leonid that has VmCreator permissions creates VM "test"
user leonid goes to permissions tab of created VM "test" and wants to give to user einav diskCreator permission on his VM.
addPermission succeeded but ortal's permission not shown in permission tab e.g. after clicking "ok" button nothing happens.

When user einav logs in and goes to vm "test", she can see her permission on this VM but can't see leonid's permissions.
Comment 1 Leonid Natapov 2012-08-15 11:16:11 EDT
in other words user has the right to give permissions to another users but has no right to see what permissions he just gave.
Comment 3 Oved Ourfali 2012-08-16 10:21:42 EDT
Commit: 7649eed9978f54fa5ce5e37d2e94c8ad302a8288

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=7649eed9978f54fa5ce5e37d2e94c8ad302a8288

Note You need to log in before you can comment on or make changes to this bug.